package com.aurellem.capture;

import com.jme3.system.Timer;

public class IsoTimer extends Timer {

	private float framerate;
	private int ticks;
	
	public IsoTimer(float framerate){
		this.framerate = framerate;
		this.ticks = 0;}
	
	public long getTime() {
		return (long) (this.ticks / this.framerate);}
	
	public long getResolution() {
		return 1000000000L;}
	
	public float getFrameRate() {
		return this.framerate;}
	
	public float getTimePerFrame() {
		return (float) (1.0f / this.framerate);}

	public void update() {this.ticks++;}
	
	public void reset() {this.ticks = 0;}

}
